gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A button for selecting a color. ColorPicker provides a button for selecting a color. When pressed, a dialog is opened allowing the user to select a color. Gtk.Button Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` Set the color in the widget. The red value to set. The green value to set. The blue value to set. The alpha value to set. To be added
- Method
  System.Void `` `` `` `` Set the color in the widget. The red value to set. The green value to set. The blue value to set. The alpha value to set. To be added
- Method
  System.Void `` `` `` `` Set the color in the widget. The red value to set. The green value to set. The blue value to set. The alpha value to set. To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ColorPicker, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Create a new ColorPicker widget.
  To be added: an object of type 'Gnome.ColorPicker'
  To be added
- Property
  System.UInt32 The green value for the color in the widget. Value of the color in the range from 0 to 65535. The current value of the channel. To be added
- Property
  System.UInt32 The alpha value for the color in the widget. Value of the color in the range from 0 to 65535. The current value of the channel. To be added
- Property
  System.String The title to be displayed on the color selection dialog. The text to use. Current text to be used for the color selection dialog. To be added
- Property
  System.Boolean Whether the sample is dithered or simply a solid color. Whether to dither or not. Current dither settings for the widget. To be added
- Property
  System.UInt32 The blue value for the color in the widget. Value of the color in the range from 0 to 65535. The current value of the channel. To be added
- Property
  System.Boolean Enable/Disable support for an alpha channel for the color. Whether to support an alpha channel or not. Curren rule for the use of the alpha channel. To be added
- Property
  System.UInt32 The red value for the color in the widget. Value of the color in the range from 0 to 65535. The current value of the channel. To be added
- Event
  Gnome.ColorSetHandler Emitted when a color is selected in the color dialog. To be added
- Method
  System.Void `` `` `` `` Get the UInt16s for the current color in the widget. Location to store the red value. Location to store the green value. Location to store the blue value. Location to store the alpha value. To be added
- Method
  System.Void `` `` `` `` Get the doubles for the current color in the widget. Location to store the red value. Location to store the green value. Location to store the blue value. Location to store the alpha value. To be added
- Method
  System.Void `` `` `` `` Get the bytes for the current color in the widget. Location to store the red value. Location to store the green value. Location to store the blue value. Location to store the alpha value. To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` `` `` Default handler for the event. a a a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.